org.apache.axiom.om

## Interface OMConstants

-     public interface OMConstants

  Interface OMConstants

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ARRAY_ITEM_LOCALNAME` Deprecated. This constant was used in early prototypes of Axis2 and is no longer relevant.
    `static String` | `ARRAY_ITEM_NS_PREFIX` Deprecated. This constant was used in early prototypes of Axis2 and is no longer relevant.
    `static String` | `ARRAY_ITEM_NSURI` Deprecated. This constant was used in early prototypes of Axis2 and is no longer relevant.
    `static String` | `ARRAY_ITEM_QNAME` Deprecated. This constant was used in early prototypes of Axis2 and is no longer relevant.
    `static String` | `DATA_HANDLER` Deprecated.
    `static String` | `DEFAULT_CHAR_SET_ENCODING` Field DEFAULT_CHAR_SET_ENCODING specifies the default character encoding scheme to be used
    `static String` | `DEFAULT_DEFAULT_NAMESPACE` Deprecated.
    `static String` | `DEFAULT_XML_VERSION`
    `static String` | `IS_BINARY` Deprecated.
    `static String` | `IS_DATA_HANDLERS_AWARE` Deprecated.
    `static short` | `PULL_TYPE_BUILDER` Deprecated. This constant is used as return value of `OMXMLParserWrapper.getBuilderType()` which is deprecated.
    `static short` | `PUSH_TYPE_BUILDER` Deprecated. This constant is used as return value of `OMXMLParserWrapper.getBuilderType()` which is deprecated.
    `static String` | `XMLATTRTYPE_CDATA`
    `static String` | `XMLATTRTYPE_ENTITIES`
    `static String` | `XMLATTRTYPE_ENTITY`
    `static String` | `XMLATTRTYPE_ID`
    `static String` | `XMLATTRTYPE_IDREF`
    `static String` | `XMLATTRTYPE_IDREFS`
    `static String` | `XMLATTRTYPE_NMTOKEN`
    `static String` | `XMLATTRTYPE_NMTOKENS`
    `static String` | `XMLATTRTYPE_NOTATION`
    `static String` | `XMLNS_NS_PREFIX` Deprecated. Use `XMLConstants.XMLNS_ATTRIBUTE` instead.
    `static String` | `XMLNS_NS_URI` Deprecated. Use `XMLConstants.XMLNS_ATTRIBUTE_NS_URI` instead.
    `static String` | `XMLNS_PREFIX`
    `static String` | `XMLNS_URI`

- - ### Field Detail

    - #### PUSH_TYPE_BUILDER

          static final short PUSH_TYPE_BUILDER

      Deprecated. This constant is used as return value of `OMXMLParserWrapper.getBuilderType()` which is deprecated.
      See Also:
        Constant Field Values

    - #### PULL_TYPE_BUILDER

          static final short PULL_TYPE_BUILDER

      Deprecated. This constant is used as return value of `OMXMLParserWrapper.getBuilderType()` which is deprecated.
      See Also:
        Constant Field Values

    - #### ARRAY_ITEM_NSURI

          static final String ARRAY_ITEM_NSURI

      Deprecated. This constant was used in early prototypes of Axis2 and is no longer relevant.
      See Also:
        Constant Field Values

    - #### ARRAY_ITEM_LOCALNAME

          static final String ARRAY_ITEM_LOCALNAME

      Deprecated. This constant was used in early prototypes of Axis2 and is no longer relevant.
      See Also:
        Constant Field Values

    - #### ARRAY_ITEM_NS_PREFIX

          static final String ARRAY_ITEM_NS_PREFIX

      Deprecated. This constant was used in early prototypes of Axis2 and is no longer relevant.
      See Also:
        Constant Field Values

    - #### ARRAY_ITEM_QNAME

          static final String ARRAY_ITEM_QNAME

      Deprecated. This constant was used in early prototypes of Axis2 and is no longer relevant.
      See Also:
        Constant Field Values

    - #### DEFAULT_CHAR_SET_ENCODING

          static final String DEFAULT_CHAR_SET_ENCODING

      Field DEFAULT_CHAR_SET_ENCODING specifies the default character encoding scheme to be used
      See Also:
        Constant Field Values

    - #### DEFAULT_XML_VERSION

          static final String DEFAULT_XML_VERSION

      See Also:
        Constant Field Values

    - #### XMLNS_URI

          static final String XMLNS_URI

      See Also:
        Constant Field Values

    - #### XMLNS_NS_URI

          static final String XMLNS_NS_URI

      Deprecated. Use `XMLConstants.XMLNS_ATTRIBUTE_NS_URI` instead.
      See Also:
        Constant Field Values

    - #### XMLNS_NS_PREFIX

          static final String XMLNS_NS_PREFIX

      Deprecated. Use `XMLConstants.XMLNS_ATTRIBUTE` instead.
      See Also:
        Constant Field Values

    - #### XMLNS_PREFIX

          static final String XMLNS_PREFIX

      See Also:
        Constant Field Values

    - #### IS_BINARY

          static final String IS_BINARY

      Deprecated.
      See Also:
        `XMLStreamReaderUtils`, Constant Field Values

    - #### DATA_HANDLER

          static final String DATA_HANDLER

      Deprecated.
      See Also:
        `XMLStreamReaderUtils`, Constant Field Values

    - #### IS_DATA_HANDLERS_AWARE

          static final String IS_DATA_HANDLERS_AWARE

      Deprecated.
      See Also:
        `XMLStreamReaderUtils`, Constant Field Values

    - #### DEFAULT_DEFAULT_NAMESPACE

          static final String DEFAULT_DEFAULT_NAMESPACE

      Deprecated.
      See Also:
        Constant Field Values

    - #### XMLATTRTYPE_CDATA

          static final String XMLATTRTYPE_CDATA

      See Also:
        Constant Field Values

    - #### XMLATTRTYPE_ID

          static final String XMLATTRTYPE_ID

      See Also:
        Constant Field Values

    - #### XMLATTRTYPE_IDREF

          static final String XMLATTRTYPE_IDREF

      See Also:
        Constant Field Values

    - #### XMLATTRTYPE_IDREFS

          static final String XMLATTRTYPE_IDREFS

      See Also:
        Constant Field Values

    - #### XMLATTRTYPE_NMTOKEN

          static final String XMLATTRTYPE_NMTOKEN

      See Also:
        Constant Field Values

    - #### XMLATTRTYPE_NMTOKENS

          static final String XMLATTRTYPE_NMTOKENS

      See Also:
        Constant Field Values

    - #### XMLATTRTYPE_ENTITY

          static final String XMLATTRTYPE_ENTITY

      See Also:
        Constant Field Values

    - #### XMLATTRTYPE_ENTITIES

          static final String XMLATTRTYPE_ENTITIES

      See Also:
        Constant Field Values

    - #### XMLATTRTYPE_NOTATION

          static final String XMLATTRTYPE_NOTATION

      See Also:
        Constant Field Values

Copyright © The Apache Software Foundation. All Rights Reserved.